Subject: Re: [bug#50084] [PATCH v3] gnu: waypipe: Clean up phases and dependencies.

From: Robby Zambito <[email-masked]>
Date: Thu, 19 Aug 2021 15:58:33 -0400

Hi Maxime,

Thank you for the insight. 

> > I cross compiled the package for armhf-linux and aarch64-linux and it
> > built and tested fine with the changes you suggested, but I also did the
> 
> Are you sure it tested?  Unless qemu transparent emulation is enabled
> (see ‘Transparent Emulation with QEMU’ in the manual) that cannot happen.

I just ran it again to be sure, and yes. I did set up QEMU for building
on other architectures. I suppose this means QEMU is being used for the
'native-inputs', which is a little confusing but I guess it makes sense
:D

With the current state of these patches it follows the practice of
putting the test dependencies in the native-inputs. If there is anything
else that is needed before this can be merged I will be happy to make it
happen!

Sincerely,
Robby